Subject: RE: [SIP] RE: about proxy

From: Ge Yu <[email-masked]>
Date: Thu, 25 May 2000 18:38:39 +0800

thanks, Neil,

1. About locate the callee, can we configure the location service as
follows:
   Maintain two kinds of location servers: global location server(should be
a series of servers, like DNS servers), which can provide the query service
to every caller;  local location server, which is maintained by local proxy
server.
    Before the callee moves to another place, he registers with his local
proxy, if his new place is in the same area of a specific local location
server, the proxy only updates the database in the local location server in
its domain.
Otherwise, if the new place is out of the range of the local location
server, the proxy requests to update the database in global location server.

    So if the callee moves frequently in a small area(that's quite possible
in reality), no need to update the global location server from time to time,
that is the usage of local location server.

2. If a caller wants to make a call, its local proxy only needs to query the
global location server, then it can get the latest location of the callee,
no need to tranverse many proxies to locate the callee.

So in the second example, the P2, P3,P4 may be location server, AAA server,
or other server which can provide subscribed services.

How do you think about this scheme?

Thanks for all reply.

Yu

> ----------
> From: 	Neil Deason[SMTP:[email-masked]]
> Sent: 	Thursday, May 25, 2000 4:11 PM
> To: 	Ge Yu
> Cc: 	[email-masked] '
> Subject: 	Re: [SIP] RE: about proxy
> 
> Ge Yu wrote:
> 
> > hi, Jonathan,
> >
> > Thanks for your fast reply.
> >
> > Actually it can be shown as following:
> >
> > The SIP original operation:
> >
> >            (1)       (2)       (3)       (4)       (5)
> > (caller)UAC--->proxy1--->proxy2--->proxy3--->proxy4--->UAS(callee)
> >
> > Different proxy provides different service, the services are provided
> > sequentialy, all the (1),(2),(3),(4),(5) are standard SIP INVITE
> messages.
> >
> > And another scheme:
> >            proxy2  proxy3  proxy4
> >              (2)\  (3)/    (4)/
> > (caller)UAC---->(local)proxy1---->UAS(callee)
> >             (1)               (5)
> >
> > Now the services of proxy2, proxy3, proxy4 can be provided parallelly.
> The
> > (1),(5)
> > are still standard SIP INVITE messages. But the (2),(3),(4) are
> simplified
> > requests which
> > only include the service provided by individual proxy, so (2),(3),(4)
> > messages are different
> > and only part of original INVITE. Proxy1 sends out 3 requests
> > simultaneously, after it gets
> > the 3 reponses from 3 proxies, it rewrite the original INVITE and sends
> it
> > to UAS.
> 
> In the first example the service being performed by the SIP proxies is
> trying to
> locate the callee, by routing the INVITE on to the next appropriate hop.
> 
> What are the services of P2, P3, P4 in your second example?
> 
> Whatever they are I think describing nodes 2,3,4  as SIP Proxy Servers is
> leading to confusion. However, if they are SIP nodes offering services,
> that
> fall within the solution space of SIP, it might be possible to add a new
> SIP
> request method to do what you are describing.
> 
> hth,
> Neil.
> --
> Ubiquity Software Corporation, UK           http://www.ubiquity.net
> 
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip